package com.tcl.usercenter.aidl;

oneway interface IUserCenterListener {
	void isUserLogin(boolean isLogin);
	void userDetail(String info);
	
	void onGetAddressSuccess(String list);
	void onGetAddressFail(String reason);
	void onEditAddressFinish();
	
	void onLoginSuccess();
	void onLoginFail();
	void onAutoLoginSuccess(String token);
	void onAutoLoginFail();
	
	void onLogoutSuccess();
	void onLogoutFail();
	
	void onPayQRCodeSuccess(String qrUrl,String payType,String tradeNo);
	void onPayQRCodeFail(String reason,String payType,String tradeNo);
	void onPaySuccess(String payType,String tradeNo);
	void onPayFail(String reason,String payType,String tradeNo);
	
	void onMemberExpires(String description);
}