package com.tcl.usercenter.aidl;

import com.tcl.usercenter.aidl.IUserCenterListener;

interface IUserCenterService{
    void addListener(IUserCenterListener listener,String appid);
    void removeListener(IUserCenterListener listener,String appid);
    
	void getUserLoginStatus(String appid);
	void getUserDetailInfo(String appid);
	void getDeliveryAddress(String appid);
	void editDeliveryAddress(String appid);
	void enterUsercenter(String appid,String fromPage);
	
	void userLogin(String appid,String packagename,boolean isShowUserCenter,String fromPage);
	void qqLogin(String appid,String packagename,boolean isShowUserCenter,String fromPage);
	void wechatLogin(String appid,String packagename,boolean isShowUserCenter,String fromPage);
	void autologin(String appid,String packagename);
	
	void userLogout(String appid);
	
	void userPay(String appid,String tradeinfo,String userinfo ,String fromPage);
	void userPayDirect(String appid,String tradeinfo,String userinfo,String payType ,String fromPage);
	void userPayAndLogin(String appid,String tradeinfo,String userinfo ,String fromPage); 
	void getMemberExpires(String appid);
}